<?php
namespace Claromentis\People\Subscriber;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_104d2e65" . "fd6a12ea4" . "7809e7798" . "94b517" => base64_decode("T25EZWx" . "ldGVVc2" . "Vy"), "_8973800324bb90d37f" . "fd58aa1c2b1e02" => base64_decode("cmVhc3NpZ25f" . "dG8="), "_cceb787dafa9ce" . "5ed8b59ce74fd08" . "543" => base64_decode("YXBwc" . "19yZW" . "Fzc2l" . "nbg=="));
use ClaPlugins;
use Claromentis\People\Event\DeleteUserEvent;
use Claromentis\People\Event\PeopleEventType;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;






class DeleteSubscriber implements EventSubscriberInterface
{
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [PeopleEventType::DELETE_USER => [$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_104d2e65fd6" . "a12ea47809e7" . "79894b517"], 100]];
    }
    public function OnDeleteUser(DeleteUserEvent $event)
    {
        $user_id = $event->GetUserId();
        if (!$user_id) {
            return;
        }
        $_b1871640a171314067a68a2389e3477c = $event[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_8973800324bb90d37ffd5" . "8aa1c2b1e02"]] ?? null;
        $_cceb787dafa9ce5ed8b59ce74fd08543 = $event[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_cceb787daf" . "a9ce5ed8b59" . "ce74fd08543"]] ?? null;
        $_f13a90fb29e285af3b10509392510684 = new \Claromentis\People\UsersDelete($user_id);
        $_f13a90fb29e285af3b10509392510684->PrepareDelete($_b1871640a171314067a68a2389e3477c, $_cceb787dafa9ce5ed8b59ce74fd08543);
        $_f13a90fb29e285af3b10509392510684->CleanupSystem();
        $_f13a90fb29e285af3b10509392510684->DeleteAccount();
        ClaPlugins::I()->DeleteUser($user_id);
    }
}